<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Hands on javascript</title>
    <script>

        document.write("i'm inside the head tag")

    </script>
</head>
<body>
<script>

    document.write("i'm inside the body tag<br>")

</script>

</body>
<script>
    var nameprompt("please enter your name");
    if(name!=null){
        document.write("hello"+name+"!<br>)
    }
    document.write("i'm inside the html tag<br>")

</script>

</html>